// Header File
// Created 5/18/2005; 9:06:44 PM

static const char *player1TypeStrings[]={
"Player 1: Human",
"Player 1: Calculator"
};
static const char *player2TypeStrings[]={
"Player 2: Human",
"Player 2: Calculator"
};

int player1M();
int player2M();
int rowsM();
int columnsM();
int boardLayoutM();

MMENUITEM optionsMenuItems[]=
{
  {NULL,player1M,1},
  {NULL,player2M,2},
  {(char*)"Board Layout",boardLayoutM,3},
  {(char*)"Rows:           ",rowsM,4},
  {(char*)"Columns:        ",columnsM,5}
};

MMENU optionsMenu=
{
  0,50,159,5,
  optionsMenuItems
};

void refreshOptionsMenu(void)
{
	optionsMenu.theMenuItems[0].theName=(char*)player1TypeStrings[player1Type];
	optionsMenu.theMenuItems[1].theName=(char*)player2TypeStrings[player2Type];
	sprintf(optionsMenu.theMenuItems[3].theName,"Rows: %d%c",curYDim,0);
	sprintf(optionsMenu.theMenuItems[4].theName,"Columns: %d%c",curXDim,0);
	FillBox(0,0,159,49,A_REVERSE);
}

int boardLayoutM()
{
	FillBox(0,0,159,49,A_REVERSE);
	int k=ngetchx();
	if (k==KEY_ENTER) return 0;
  else return k;
}

int player1M()
{
	refreshOptionsMenu();
	updateMIString(&optionsMenu,0);
  int k=ngetchx();
  if (k==KEY_LEFT||k==KEY_RIGHT)
  {
    player1Type=1-player1Type;
    return 0;
  }
  if (k==KEY_ENTER) return 0;
  else return k;
}

int player2M()
{
	refreshOptionsMenu();
	updateMIString(&optionsMenu,1);
  int k=ngetchx();
  if (k==KEY_LEFT||k==KEY_RIGHT)
  {
    player2Type=1-player2Type;
    return 0;
  }
  if (k==KEY_ENTER) return 0;
  else return k;
}

int rowsM()
{
  refreshOptionsMenu();
	updateMIString(&optionsMenu,3);
  int k=ngetchx();
  if (k==KEY_LEFT||k==KEY_RIGHT)
  {
    if (k==KEY_LEFT)
    {
      curYDim--;
      if (curYDim<2) curYDim=MAXROWS;
    }
    if (k==KEY_RIGHT)
    {
      curYDim++;
      if (curYDim>MAXROWS) curYDim=2;
    }
    return 0;
  }
  if (k==KEY_ENTER) return 0;
  else return k;
}

int columnsM()
{
  refreshOptionsMenu();
	updateMIString(&optionsMenu,4);
  int k=ngetchx();
  if (k==KEY_LEFT||k==KEY_RIGHT)
  {
    if (k==KEY_LEFT)
    {
      curXDim--;
      if (curXDim<2) curXDim=MAXCOLS;
    }
    if (k==KEY_RIGHT)
    {
      curXDim++;
      if (curXDim>MAXCOLS) curXDim=2;
    }
    return 0;
  }
  if (k==KEY_ENTER) return 0;
  else return k;
}